Skip to main content
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
/
agents
/
{agent_id}
/
subscriptions
List Agent Subscriptions
curl --request GET \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/agents/{agent_id}/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 300,
      "workspace_id": "01kqh44byes9kscvsdfth6g52h",
      "type": "default",
      "stripe_id": "sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U",
      "stripe_status": "active",
      "stripe_price": null,
      "quantity": null,
      "trial_ends_at": null,
      "ends_at": null,
      "created_at": "2026-05-01T06:38:01.000000Z",
      "updated_at": "2026-05-01T06:38:01.000000Z"
    },
    {
      "id": 301,
      "workspace_id": "01kqh44bzkzydyf7pb56xqj5z6",
      "type": "default",
      "stripe_id": "sub_XmfW6rmPk8W6FhajOIglkvTqoGdHUiFWc2jWcdWJ",
      "stripe_status": "active",
      "stripe_price": null,
      "quantity": null,
      "trial_ends_at": null,
      "ends_at": null,
      "created_at": "2026-05-01T06:38:01.000000Z",
      "updated_at": "2026-05-01T06:38:01.000000Z"
    }
  ],
  "meta": {
    "per_page": 20,
    "next_cursor": null,
    "prev_cursor": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

workspace_id
string
required

The ID of the workspace.

agent_id
string
required

The ID of the agent.

Query Parameters

per_page
integer

The number of items per page. Must be at least 1. Must not be greater than 100.

Example:

25

cursor
string

The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.

Example:

"example"

Response

200 - application/json
data
object[]
Example:
[
  {
    "id": 300,
    "workspace_id": "01kqh44byes9kscvsdfth6g52h",
    "type": "default",
    "stripe_id": "sub_dFp6UWrd3R4GhC1KL3dsX2w7RZ7kPE83KSMP8g6U",
    "stripe_status": "active",
    "stripe_price": null,
    "quantity": null,
    "trial_ends_at": null,
    "ends_at": null,
    "created_at": "2026-05-01T06:38:01.000000Z",
    "updated_at": "2026-05-01T06:38:01.000000Z"
  },
  {
    "id": 301,
    "workspace_id": "01kqh44bzkzydyf7pb56xqj5z6",
    "type": "default",
    "stripe_id": "sub_XmfW6rmPk8W6FhajOIglkvTqoGdHUiFWc2jWcdWJ",
    "stripe_status": "active",
    "stripe_price": null,
    "quantity": null,
    "trial_ends_at": null,
    "ends_at": null,
    "created_at": "2026-05-01T06:38:01.000000Z",
    "updated_at": "2026-05-01T06:38:01.000000Z"
  }
]
meta
object